#import "TestVCInitViewController.h"

@implementation TestVCInitViewController

@synthesize theColor;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
	{
	if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])
		{
		self.theColor = [UIColor yellowColor];
		}
	return self;
	}

- (void)loadView
	{
	CGRect fullScreenRect = [[UIScreen mainScreen] bounds];

	UIView *aView = [[UIView alloc] initWithFrame:fullScreenRect];
	aView.backgroundColor = self.theColor;
	
		/*
		If i write:  aView.backgroundColor = [UIColor yellowColor];
		it works fine.
		*/
	
	self.view = aView;
	[aView release];
	}

- (void)dealloc
	{
	[theColor release];
	[super dealloc];
	}

@end
